<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core">
<head>
<style>
body {
	background-color: #f9f9f9;
	font-family: 'Roboto', Arial, sans-serif;
	line-height: 1.6;
}

.page-title {
	text-align: center;
	color: #2c3e50;
	margin-top: 50px;
	font-size: 32px;
}

.restaurant-list {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: 30px;
}

.restaurant-item {
	background-color: #fff;
	color: #333;
	width: 85%;
	padding: 20px;
	margin: 20px 0;
	border-radius: 8px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.menu-actions {
	display: flex;
	align-items: center;
	justify-content: flex-start;
	margin-top: 15px;
}

.dish-name {
	margin-right: 20px;
}

.action-buttons {
	display: inline-block;
	margin-left: auto;
}

.action-buttons h:commandButton {
	background-color: #2c3e50;
	color: #fff;
	padding: 10px 20px;
	margin: 0 10px;
	border: none;
	text-decoration: none;
	border-radius: 5px;
	cursor: pointer;
	transition: background-color 0.3s ease;
}

.action-buttons h:commandButton[value="Modifier Plat"] {
	background-color: #3498db;
}

.action-buttons h:commandButton:hover {
	opacity: 0.8;
}

.add-menu {
	text-align: center;
	margin: 40px 0;
}

.add-menu a {
	background-color: #28a745;
	color: #fff;
	padding: 15px 30px;
	font-size: 16px;
	text-decoration: none;
	border-radius: 8px;
	transition: background-color 0.3s ease;
}

.add-menu a:hover {
	background-color: #218c3b;
}

.plate-name {
	font-weight: bold;
	margin-right: 10px;
}

.plate-description {
	font-size: 0.9em;
	color: #555;
}
</style>
</head>
<body>
	<div class="page-title">Menus</div>

	<div class="restaurant-list">
		<h:form>
			<ui:repeat var="menu" value="#{restaurantBean.menus}">
				<div class="menu-item">
					<h2>#{menu.name}</h2>
					<ui:repeat var="plate" value="#{menu.plates}">
						<div class="menu-actions">
							<div class="plate-info">
								<h:outputLabel class="plate-name"
									rendered="#{restaurantBean.plateEditingId != plate.id}"
									value="#{plate.name}" />
								<h:outputText value=" - #{plate.description}"
									rendered="#{restaurantBean.plateEditingId != plate.id}" />
								<h:inputText class="plate-name"
									rendered="#{restaurantBean.plateEditingId == plate.id}"
									value="#{restaurantBean.currentPlateName}" />
								<h:inputText class="plate-name"
									rendered="#{restaurantBean.plateEditingId == plate.id}"
									value="#{restaurantBean.currentPlateDescription}" />
							</div>
							<h:panelGroup rendered="#{restaurantBean.isOwner}">
								<div class="action-buttons">
									<h:commandButton value="Modifier Plat"
										action="#{restaurantBean.modifyPlate}">
										<f:param name="plateId" value="#{plate.id}" />
									</h:commandButton>
									<h:commandButton value="Supprimer Plat"
										action="#{restaurantBean.deletePlate}">
										<f:param name="plateId" value="#{plate.id}" />
									</h:commandButton>
								</div>
							</h:panelGroup>
						</div>
					</ui:repeat>
				</div>
			</ui:repeat>
			<h:commandButton value="Accueil" action="goHome" />
		</h:form>
	</div>
</body>
</html>